Issue 26896

Summary: Floating numbers in fields of MySQL database form are altered
Product: Base Reporter: mfioretti <m.fioretti>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues
Version: OOo 1.1.1RCKeywords: needmoreinfo, oooqa
Target Milestone: ---   
Hardware: PC   
OS: Linux, all   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description mfioretti 2004-03-23 22:03:34 UTC
ORIGINAL PROBLEM:

I have a mysql database on Red Hat Linux 9. I 
designed a form in OOo  1.1.0 to display, alter and insert record in the
database. The only thing not working was a numeric field (name A_price,
type float).
  
When I typed new values in the form they were updated properly (checked
also on the command line), but if I wrote 777.17 in that field it
becomes and is written (both in the OOo form *and* in the database at
the mysql command prompt) as (IIRC) 32.39 ie another float value
I casually discovered the following evening that if I wrote 777,17 (instead
of 777.17) everything was displayed and written OK

Now almost the same issue remains in OOo1.1.1RC3: the field becomes 0.0.
Please don't hesitate to ask for further info.
Marco Fioretti
Comment 1 marc.neumann 2004-05-04 14:51:44 UTC
Hi,

I don't get you. Please provide a step by step description what you do.
Maybe you can provide the table structure and a sample form as attachement, so I
can reproduce your issue.


Bye Marc
Comment 2 mfioretti 2004-05-09 05:15:36 UTC
I am not sure if I can send the from, it is company stuff. However (not tested
now, not at my machine):

create mysql database with floating fields
create OOo form with autopilot, choose all fields
enter decimal number with dot, like 2.49
hit enter, or tab to move to new field
the number will be changed in the form (and in
the actual database) to another number

if you enter the number with comma like 2,49
it is handled correctly.

See also the march archives of the dba-users list
where I first reported this

HTH,
Marco Fioretti

Comment 3 marc.neumann 2004-05-10 09:36:18 UTC
hi,

this is a 'problem' with the number formatter, which is used to interpret
numbers. And it interpret the string you entered not as a number, because the
'.' is not a valid decimal separator in you locale. 

However, I send this issue to the right developer for a depper look.

Bye Marc

Comment 4 mfioretti 2004-05-10 09:44:10 UTC
OK. I assigned it to "database access" component because so I
was told on the dba-users list, but I see what you mean.

Ciao,
Marco F.
Comment 5 grsingleton 2005-12-03 21:38:27 UTC
Has 2.0 fixed the problem?
Comment 6 ace_dent 2008-05-14 23:27:59 UTC
This Issue requires more information ('needmoreinfo'), but has not been updated
within the last year. Please re-test with one of the latest versions of OOo -
the problem(s) may already be addressed. Either use the latest stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/

Please report back the outcome of your testing, so this Issue may be closed or
progressed as necessary - otherwise the issue may be Resolved as Invalid in the
future. You may also wish to search for (and note) any duplicates of this Issue
that may have progressed further :
http://www.openoffice.org/issues/query.cgi

Regards,
Andrew

Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
Comment 7 ace_dent 2008-06-02 17:46:34 UTC
Please consider re-testing with one of the latest versions of OOo and providing
an update / further information. Cheers.

Lowering Issue priority...

From: http://qa.openoffice.org/scdocs/ddIssues_EnterModify.html#priority 
P2 - Marks severe problems which affect a significant number of customers.
Issues with this priority must be fixed before the target release ... and should
be dealt with as soon as possible. Not fixing them for the target release is not
acceptable.
Comment 8 Marcus 2017-05-20 10:48:10 UTC
Reset assigne to the default "issues@openoffice.apache.org".